- Qt 6.8
- Qt Bluetooth
- C++ Classes
- AddressInfo
- Qt 6.8.3 Reference Documentation

# AddressInfo Class

class QLowEnergyAdvertisingParameters::AddressInfo

The QLowEnergyAdvertisingParameters::AddressInfo defines the elements of a white list. More...

- List of all members, including inherited members

## Public Functions

| AddressInfo()
| AddressInfo(const QBluetoothAddress &addr, QLowEnergyController::RemoteAddressType type)

## Public Variables

QBluetoothAddress | address
QLowEnergyController::RemoteAddressType | type

## Related Non-Members

bool | operator!=(const QLowEnergyAdvertisingParameters::AddressInfo &a, const QLowEnergyAdvertisingParameters::AddressInfo &b)
bool | operator==(const QLowEnergyAdvertisingParameters::AddressInfo &a, const QLowEnergyAdvertisingParameters::AddressInfo &b)

## Detailed Description

A list of QLowEnergyAdvertisingParameters::AddressInfo instances is passed to QLowEnergyAdvertisingParameters::setWhiteList(). White lists are used to restrict the devices which have the permission to interact with the peripheral. The permitted type of interaction is defined by QLowEnergyAdvertisingParameters::FilterPolicy.

See also QLowEnergyAdvertisingParameters::whiteList().

## Member Function Documentation

### AddressInfo::AddressInfo()

Constructs a default constructed AddressInfo instance.

By default the AddressInfo::type member is set to QLowEnergyController::PublicAddress and the AddressInfo::address member has a null address.

### AddressInfo::AddressInfo(const QBluetoothAddress &addr, QLowEnergyController::RemoteAddressType type)

Constructs a new AddressInfo instance. addr represents the Bluetooth address of the remote device and type the nature of the address.

## Member Variable Documentation

### QBluetoothAddress AddressInfo::address

This is the Bluetooth address of a remote device.

### QLowEnergyController::RemoteAddressType AddressInfo::type

The type of the address (public or private). The AddressInfo default constructor initialises this value to QLowEnergyController::PublicAddress.

## Related Non-Members

### bool operator!=(const QLowEnergyAdvertisingParameters::AddressInfo &a, const QLowEnergyAdvertisingParameters::AddressInfo &b)

Returns `true` if a and b are not equal with respect to their public state, otherwise returns `false`.

### bool operator==(const QLowEnergyAdvertisingParameters::AddressInfo &a, const QLowEnergyAdvertisingParameters::AddressInfo &b)

Returns `true` if a and b are equal with respect to their public state, otherwise returns `false`.